snapshot builds are broken
  • After a manual installation I gave the snapshots a spin, but sadly the
    installation fails because the command to migrate the database is

    Creating table export_bookexport
    Creating table export_exportfile
    Creating table export_exportcomment
    Creating table export_exportsettings
    Creating table messaging_post
    Creating table messaging_postappearance
    Creating table messaging_endpoint
    Creating table messaging_endpointconfig
    Creating table messaging_following
    Installing custom SQL ...
    Installing indexes ...
    Installed 0 object(s) from 0 fixture(s)
    Unknown command: 'migrate'
    Type ' help' for usage.
    dpkg: Fehler beim Bearbeiten des Paketes booktype (--configure):
     Unterprozess installiertes post-installation-Skript gab den Fehlerwert 1 zurück
    libfakeroot:amd64 (1.20.2-1) wird eingerichtet ...
    fakeroot (1.20.2-1) wird eingerichtet ...
    /usr/bin/fakeroot-sysv wird verwendet, um /usr/bin/fakeroot (fakeroot)
    im automatischen Modus bereitzustellen
    javascript-common (11) wird eingerichtet ...
    apache2_invoke: Enable configuration javascript-common
    libalgorithm-diff-perl (1.19.02-3) wird eingerichtet ...
    libalgorithm-diff-xs-perl (0.04-3+b1) wird eingerichtet ...
    libalgorithm-merge-perl (0.08-2) wird eingerichtet ...
    libfile-fcntllock-perl (0.22-1+b1) wird eingerichtet ...
    Trigger für libc-bin (2.19-18+deb8u7) werden verarbeitet ...
    Trigger für systemd (215-17+deb8u6) werden verarbeitet ...
    Fehler traten auf beim Bearbeiten von:
    E: Sub-process /usr/bin/dpkg returned an error code (1)

    Post edited by tristank at 2017-01-26 16:32:48
  • 2 Comments sorted by
  • Vote Up0Vote Down Daniel JamesDaniel James
    Posts: 816Member, Sourcefabric Team
    Hi, thanks for the reminder, we had not updated the snapshot script for the 2.1 release. For now we recommend the git install.


  • Vote Up0Vote Down Daniel JamesDaniel James
    Posts: 816Member, Sourcefabric Team
    I have opened a ticket to fix this.